> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project



## OpenAPI

````yaml /public-openapi.json patch /registry/v1/projects/{project_id}
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /registry/v1/projects/{project_id}:
    patch:
      tags:
        - Core
      summary: Update a project
      operationId: registry.updateProject
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/registry-registry-UpdateProjectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/registry-registry-ProjectView'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_json
                          - invalid_request
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '404':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - not_found
          description: HTTP 404 response.
        '409':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - project_name_conflict
          description: HTTP 409 response.
        '415':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - unsupported_content_type
          description: HTTP 415 response.
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - validation_failed
          description: HTTP 422 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    registry-registry-UpdateProjectRequest:
      type: object
      properties:
        display_name:
          type:
            - string
            - 'null'
        knowledge_urls:
          type:
            - array
            - 'null'
          items:
            type: string
        name:
          type:
            - string
            - 'null'
        workspace_id:
          type:
            - string
            - 'null'
    registry-registry-ProjectView:
      type: object
      required:
        - id
        - name
        - display_name
        - project_status
        - workspace_id
        - root_workspace_id
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        artifact_count_by_kind:
          type:
            - object
            - 'null'
          additionalProperties:
            type: integer
            format: int64
            minimum: 0
          propertyNames:
            type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        id:
          type: string
        knowledge_urls:
          type: array
          items:
            type: string
        name:
          type: string
        permissions:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceCapabilities'
        project_status:
          $ref: '#/components/schemas/registry-registry-WorkspaceStatus'
        root_workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        root_workspace_id:
          type: string
        updated_at:
          type: string
        updated_by:
          type: string
        workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        workspace_id:
          type: string
    registry-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    registry-registry-WorkspaceCapabilities:
      type: object
      required:
        - can_read
        - can_update
        - can_create_content
        - can_delete
        - can_manage_members
        - can_discover
        - can_join
        - can_leave
      properties:
        can_create_content:
          type: boolean
        can_delete:
          type: boolean
        can_discover:
          type: boolean
        can_join:
          type: boolean
        can_leave:
          type: boolean
        can_manage_members:
          type: boolean
        can_read:
          type: boolean
        can_update:
          type: boolean
    registry-registry-WorkspaceStatus:
      type: string
      enum:
        - active
        - archived
        - deleted
    registry-registry-WorkspaceRefView:
      type: object
      required:
        - id
        - name
        - display_name
      properties:
        display_name:
          type: string
        id:
          type: string
        name:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````